BuildRequires: checkstyle-optional jakarta-commons-vfs maven-plugin-modello maven-shared maven-shared-file-management
BuildRequires: geronimo-specs-poms
BuildRequires: /proc
BuildRequires: jpackage-1.4-compat
# Copyright (c) 2000-2007, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support 0

# If you don't want to build with maven, and use straight ant instead,
# give rpmbuild option '--without maven'

%define with_maven %{!?_without_maven:1}%{?_without_maven:0}
%define without_maven %{?_without_maven:1}%{!?_without_maven:0}

%define resversion  0.9.1
%define m2plversion  0.3-SNAPSHOT

Name:           cargo
Version:        0.9
Release:        alt1_1jpp1.7
Epoch:          0
Summary:        Cargo container wrapper
License:        Apache Software License 2.0
Url:            http://cargo.codehaus.org/
Group:          Development/Java
Source0:        cargo-core-0.9-src.tar.gz
# svn export svn://svn.codehaus.org/cargo/core/tags/cargo-core-0.9
Source1:        cargo-extensions-0.9-src.tar.gz
# svn export svn://svn.codehaus.org/cargo/extensions/tags/cargo-extensions-0.9
Source2:        cargo-resources-0.9.1-src.tar.gz
# svn export svn://svn.codehaus.org/cargo/resources/tags/cargo-resources-0.9.1


Source3:        cargo-trunks-1.pom
Source4:        cargo-parent-2.pom
Source5:        cargo-settings.xml
Source6:        cargo-jpp-depmap.xml
Source7:        cargo.license
Source8:        cargo-ant-build-set.tar

Patch0:         cargo-core-pom_xml.patch
Patch1:         cargo-core-uberjar-pom_xml.patch
Patch2:         cargo-extensions-ant-pom_xml.patch
Patch3:         cargo-extensions-maven-pom_xml.patch
Patch4:         cargo-extensions-maven2-pom_xml.patch
Patch5:         cargo-samples-pom_xml.patch

Requires: javamail
Requires: log4j
Requires: servletapi5
%if %{with_maven}
BuildRequires: maven2-plugins >= 0:2.0.4-10jpp
BuildRequires: maven2-plugin-compiler
BuildRequires: maven2-plugin-install
BuildRequires: maven2-plugin-jar
BuildRequires: maven2-plugin-javadoc
BuildRequires: maven2-plugin-resources
BuildRequires: maven2-plugin-surefire
%endif

BuildRequires: jetty5
BuildRequires: junit
BuildRequires: jmock
BuildRequires: xmlunit
BuildRequires: jpackage-utils >= 0:1.7.2
BuildRequires: ant >= 0:1.6
BuildRequires: jakarta-commons-codec
BuildRequires: jaxp = 1.3
BuildRequires: jdom
BuildRequires: jline
BuildRequires: geronimo-j2ee-deployment-1.1-api
BuildRequires: geronimo-j2ee-1.4-apis
BuildRequires: gnu.trove
BuildRequires: servletapi5
BuildRequires: xalan-j2
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
Requires: ant >= 0:1.6
Requires: jakarta-commons-codec
Requires: jaxp = 1.3
Requires: jdom
Requires: jline
Requires: geronimo-j2ee-deployment-1.1-api
Requires: geronimo-j2ee-1.4-apis
Requires: gnu.trove
Requires: servletapi5
Requires: xalan-j2
Requires: xerces-j2
Requires: xml-commons-apis

%if ! %{gcj_support}
BuildArch:      noarch
%endif
%if %{gcj_support}
BuildRequires: gnu-crypto
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
%endif
Patch33: cargo-0.9-alt-pom-add-ant-launcher-dependency.patch


%description
Cargo is a thin wrapper around existing containers (e.g. J2EE 
containers). It provides different APIs to easily manipulate 
containers.
Cargo provides the following APIs:
* A Java API to start/stop/configure Java Containers and deploy 
  modules into them. We also offer Ant tasks, Maven 1, Maven 2, 
  Intellij IDEA and Netbeans plugins.
* A Java API to parse/create/merge J2EE Modules


%package maven-plugin
Summary:        Cargo Maven Plugin
Group:          Development/Java
Requires: maven >= 0:1.1
Requires: %{name} = %{epoch}:%{version}-%{release}

%description maven-plugin
%{summary}.

%package maven2-plugin
Summary:        Cargo Maven2 Plugin
Group:          Development/Java
Requires: maven2 >= 0:2.0.4
Requires: %{name} = %{epoch}:%{version}-%{release}

%description maven2-plugin
%{summary}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -c
gzip -dc %{SOURCE1} | tar -xf -
gzip -dc %{SOURCE2} | tar -xf -

mv cargo-core-0.9 core
mv cargo-extensions-0.9 extensions
mv cargo-resources-0.9.1 resources
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;
for j in $(find . -name "*.jar" | grep -v test/resources); do
    mv $j $j.no
done
cp %{SOURCE3} pom.xml
mkdir pom
cp %{SOURCE4} pom/pom.xml
mkdir -p .m2/repository/JPP/maven2/default_poms/
cp %{SOURCE4} \
    .m2/repository/JPP/maven2/default_poms/org.codehaus.cargo-cargo-parent.pom
cp %{SOURCE5} settings.xml
tar xf %{SOURCE8}

%patch0 -b .sav
%patch1 -b .sav
%patch2 -b .sav
%patch3 -b .sav
%patch4 -b .sav
%patch5 -b .sav
%patch33 -p1

rm ./core/api/generic/src/test/java/org/codehaus/cargo/generic/deployable/DefaultDeployableFactoryTest.java
find ./core/samples/java/src/test/java -name '*.java' -delete


%build
%if %{with_maven}
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" settings.xml

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mkdir external_repo
ln -s %{_javadir} external_repo/JPP

export SETTINGS=$(pwd)/settings.xml

mvn-jpp \
        -e \
        -s $SETTINGS \
        -Dcargo.core.version=0.9 \
        -Dmaven2.jpp.mode=true \
        -Dmaven2.jpp.depmap.file=%{SOURCE6} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        install javadoc:javadoc
pushd core/uberjar
mvn-jpp \
        -e \
        -s $SETTINGS \
        -Dcargo.core.version=0.9 \
        -Dmaven2.jpp.mode=true \
        -Dmaven2.jpp.depmap.file=%{SOURCE6} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        assembly:assembly
popd
%else
#[INFO] Reactor build order:
#[INFO]   Cargo Shared Resources
#[INFO]   Cargo Build Tools
export CLASSPATH=
pushd resources/build-tools
 ant -Dbuild.sysclasspath=only jar
popd
#[INFO]   Cargo Samples Test Data
#[INFO]   Cargo Empty JAR test data for samples
export CLASSPATH=
pushd resources/testdata/empty-jar/
 ant -Dbuild.sysclasspath=only jar
popd
#[INFO]   Cargo Empty EAR test data for samples
export CLASSPATH=
pushd resources/testdata/empty-ear/
 ant -Dbuild.sysclasspath=only ear
popd
#[INFO]   Cargo Simple WAR test data for samples
export CLASSPATH=
pushd resources/testdata/simple-war/
 ant -Dbuild.sysclasspath=only war
popd
#[INFO]   Cargo Simple EJB test data for samples
export CLASSPATH=$(build-classpath geronimo-ejb-2.1-api)
pushd resources/testdata/simple-ejb/
 ant -Dbuild.sysclasspath=only jar
popd
#[INFO]   Cargo Simple EAR test data for samples
export CLASSPATH=
pushd resources/testdata/simple-ear/
 ant -Dbuild.sysclasspath=only ear
popd
#[INFO]   Cargo Authenticated WAR test data for samples
export CLASSPATH=$(build-classpath geronimo-servlet-2.4-api)
pushd resources/testdata/authentication-war
 ant -Dbuild.sysclasspath=only war
popd
#[INFO]   Cargo Expanded WAR test data for samples
export CLASSPATH=
pushd resources/testdata/expanded-war/
 ant -Dbuild.sysclasspath=only jar
popd
#[INFO]   Cargo Tomcat context WAR test data for samples
export CLASSPATH=$(build-classpath geronimo-servlet-2.4-api)
pushd resources/testdata/tomcat-context/
 ant -Dbuild.sysclasspath=only war
popd
#[INFO]   Cargo Core
#[INFO]   Cargo Core API
#[INFO]   Cargo Core Util API
export CLASSPATH=$(build-classpath commons-vfs)
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
pushd core/api/util/
 ant -Dbuild.sysclasspath=only jar javadoc
popd
#[INFO]   Cargo Core Module API
pushd core/api/module/
export CLASSPATH=$(build-classpath commons-vfs xerces-j2)
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
CLASSPATH=$CLASSPATH:../util/target/test-classes
CLASSPATH=$CLASSPATH:../util/target/cargo-core-api-util-0.9.jar
 ant -Dbuild.sysclasspath=only jar javadoc
popd
#[INFO]   Cargo Core Container API
pushd core/api/container/
export CLASSPATH=$(build-classpath commons-vfs xerces-j2 jmock)
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
CLASSPATH=$CLASSPATH:../util/target/test-classes
CLASSPATH=$CLASSPATH:../util/target/cargo-core-api-util-0.9.jar
CLASSPATH=$CLASSPATH:../module/target/cargo-core-api-module-0.9.jar
 ant -Dbuild.sysclasspath=only jar javadoc
popd
#[INFO]   Cargo Core Generic API
pushd core/api/generic/
export CLASSPATH=
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
CLASSPATH=$CLASSPATH:../module/target/cargo-core-api-module-0.9.jar
CLASSPATH=$CLASSPATH:../util/target/cargo-core-api-util-0.9.jar
CLASSPATH=$CLASSPATH:../container/target/cargo-core-api-container-0.9.jar
CLASSPATH=$CLASSPATH:../container/target/test-classes
 ant -Dbuild.sysclasspath=only jar javadoc
popd
#[INFO]   Cargo Core Containers
#[INFO]   Cargo Core Geronimo Container
pushd core/containers/geronimo/
export CLASSPATH=
CLASSPATH=$CLASSPATH:../../api/util/target/cargo-core-api-util-0.9.jar
CLASSPATH=$CLASSPATH:../../api/container/target/cargo-core-api-container-0.9.jar
 ant -Dbuild.sysclasspath=only jar javadoc
popd
#[INFO]   Cargo Core JBoss Container
pushd core/containers/jboss/
export CLASSPATH=$(build-classpath commons-vfs xerces-j2 jmock)
CLASSPATH=$CLASSPATH:../../api/util/target/cargo-core-api-util-0.9.jar
CLASSPATH=$CLASSPATH:../../api/module/target/cargo-core-api-module-0.9.jar
CLASSPATH=$CLASSPATH:../../api/container/target/cargo-core-api-container-0.9.jar
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
CLASSPATH=$CLASSPATH:../../api/util/target/test-classes
 ant -Dbuild.sysclasspath=only jar javadoc
popd
#[INFO]   Cargo Core Jetty Container
pushd core/containers/jetty/
export CLASSPATH=
CLASSPATH=$CLASSPATH:../../api/util/target/cargo-core-api-util-0.9.jar
CLASSPATH=$CLASSPATH:../../api/container/target/cargo-core-api-container-0.9.jar
 ant -Dbuild.sysclasspath=only jar javadoc
popd
#[INFO]   Cargo Core jo! Container
pushd core/containers/jo/
export CLASSPATH=
CLASSPATH=$CLASSPATH:../../api/util/target/cargo-core-api-util-0.9.jar
CLASSPATH=$CLASSPATH:../../api/container/target/cargo-core-api-container-0.9.jar
 ant -Dbuild.sysclasspath=only jar javadoc
popd
#[INFO]   Cargo Core Orion Container
pushd core/containers/orion/
export CLASSPATH=
CLASSPATH=$CLASSPATH:../../api/util/target/cargo-core-api-util-0.9.jar
CLASSPATH=$CLASSPATH:../../api/container/target/cargo-core-api-container-0.9.jar
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
 ant -Dbuild.sysclasspath=only jar javadoc
popd
#[INFO]   Cargo Core Resin Container
pushd core/containers/resin/
export CLASSPATH=
CLASSPATH=$CLASSPATH:../../api/util/target/cargo-core-api-util-0.9.jar
CLASSPATH=$CLASSPATH:../../api/container/target/cargo-core-api-container-0.9.jar
 ant -Dbuild.sysclasspath=only jar javadoc
popd
#[INFO]   Cargo Core Tomcat Container
pushd core/containers/tomcat/
export CLASSPATH=
CLASSPATH=$CLASSPATH:../../api/util/target/cargo-core-api-util-0.9.jar
CLASSPATH=$CLASSPATH:../../api/module/target/cargo-core-api-module-0.9.jar
CLASSPATH=$CLASSPATH:../../api/container/target/cargo-core-api-container-0.9.jar
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
CLASSPATH=$CLASSPATH:../../api/util/target/test-classes
 ant -Dbuild.sysclasspath=only jar javadoc
popd
#[INFO]   Cargo Core WebLogic Container
pushd core/containers/weblogic/
export CLASSPATH=
CLASSPATH=$CLASSPATH:../../api/util/target/cargo-core-api-util-0.9.jar
CLASSPATH=$CLASSPATH:../../api/container/target/cargo-core-api-container-0.9.jar
 ant -Dbuild.sysclasspath=only jar javadoc
popd
#[INFO]   Cargo Core Uberjar
pushd core/uberjar/
export CLASSPATH=
 ant -Dbuild.sysclasspath=only uberjar
popd
#[INFO]   Cargo Samples
#[INFO]   Cargo Samples for Java
pushd core/samples/java/
export CLASSPATH=$(build-classpath commons-codec geronimo-ejb-2.1-api)
CLASSPATH=$CLASSPATH:../../api/util/target/cargo-core-api-util-0.9.jar
CLASSPATH=$CLASSPATH:../../api/generic/target/cargo-core-api-generic-0.9.jar
CLASSPATH=$CLASSPATH:../../api/container/target/cargo-core-api-container-0.9.jar
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
CLASSPATH=$CLASSPATH:../../../resources/testdata/simple-ejb/target/simple-ejb-0.9.1.jar
 ant -Dbuild.sysclasspath=only jar javadoc
popd
#[INFO]   Cargo Website Resources
pushd core/documentation
export CLASSPATH=
CLASSPATH=$CLASSPATH:../api/util/target/cargo-core-api-util-0.9.jar
CLASSPATH=$CLASSPATH:../api/generic/target/cargo-core-api-generic-0.9.jar
CLASSPATH=$CLASSPATH:../api/container/target/cargo-core-api-container-0.9.jar
CLASSPATH=$CLASSPATH:../containers/geronimo/target/cargo-core-container-geronimo-0.9.jar
CLASSPATH=$CLASSPATH:../containers/jboss/target/cargo-core-container-jboss-0.9.jar
CLASSPATH=$CLASSPATH:../containers/jetty/target/cargo-core-container-jetty-0.9.jar
CLASSPATH=$CLASSPATH:../containers/jo/target/cargo-core-container-jo-0.9.jar
CLASSPATH=$CLASSPATH:../containers/orion/target/cargo-core-container-orion-0.9.jar
CLASSPATH=$CLASSPATH:../containers/resin/target/cargo-core-container-resin-0.9.jar
CLASSPATH=$CLASSPATH:../containers/tomcat/target/cargo-core-container-tomcat-0.9.jar
CLASSPATH=$CLASSPATH:../containers/weblogic/target/cargo-core-container-weblogic-0.9.jar
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
 ant -Dbuild.sysclasspath=only jar javadoc
popd
#[INFO]   Cargo Extensions
#[INFO]   Cargo Ant tasks
pushd extensions/ant
export CLASSPATH=
CLASSPATH=$CLASSPATH:../../core/api/util/target/cargo-core-api-util-0.9.jar
CLASSPATH=$CLASSPATH:../../core/api/module/target/cargo-core-api-module-0.9.jar
CLASSPATH=$CLASSPATH:../../core/api/generic/target/cargo-core-api-generic-0.9.jar
CLASSPATH=$CLASSPATH:../../core/api/container/target/cargo-core-api-container-0.9.jar
CLASSPATH=$CLASSPATH:../../core/containers/resin/target/cargo-core-container-resin-0.9.jar
CLASSPATH=$CLASSPATH:../../core/api/container/target/test-classes
CLASSPATH=$CLASSPATH:target/classes:target/test-classes
 ant -Dbuild.sysclasspath=only jar javadoc
popd
#[INFO]   Cargo Maven 1 plugin
#[INFO]   Cargo Maven 2 plugin
#[INFO]   Cargo Trunks

%endif

%install

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

install -m 644 \
   core/api/container/target/%{name}-core-api-container-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-core-api-container-%{version}.jar
install -m 644 \
   core/api/generic/target/%{name}-core-api-generic-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-core-api-generic-%{version}.jar
install -m 644 \
   core/api/module/target/%{name}-core-api-module-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-core-api-module-%{version}.jar
install -m 644 \
   core/api/util/target/%{name}-core-api-util-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-core-api-util-%{version}.jar
install -m 644 \
   core/containers/geronimo/target/%{name}-core-container-geronimo-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-core-container-geronimo-%{version}.jar
install -m 644 \
   core/containers/jboss/target/%{name}-core-container-jboss-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-core-container-jboss-%{version}.jar
install -m 644 \
   core/containers/jetty/target/%{name}-core-container-jetty-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-core-container-jetty-%{version}.jar
install -m 644 \
   core/containers/jo/target/%{name}-core-container-jo-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-core-container-jo-%{version}.jar
install -m 644 \
   core/containers/orion/target/%{name}-core-container-orion-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-core-container-orion-%{version}.jar
install -m 644 \
   core/containers/resin/target/%{name}-core-container-resin-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-core-container-resin-%{version}.jar
install -m 644 \
   core/containers/tomcat/target/%{name}-core-container-tomcat-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-core-container-tomcat-%{version}.jar
install -m 644 \
   core/containers/weblogic/target/%{name}-core-container-weblogic-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-core-container-weblogic-%{version}.jar
install -m 644 \
   core/documentation/target/%{name}-documentation-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-documentation-%{version}.jar
install -m 644 \
   core/samples/java/target/%{name}-sample-java-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-sample-java-%{version}.jar
install -m 644 \
   core/uberjar/target/%{name}-core-uberjar-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-core-uberjar-%{version}.jar
install -m 644 \
   extensions/ant/target/%{name}-ant-%{version}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-ant-%{version}.jar
install -m 644 \
   resources/build-tools/target/%{name}-build-tools-%{resversion}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-build-tools-%{resversion}.jar

%if %{with_maven}
install -m 644 extensions/maven2/target/%{name}-maven2-plugin-%{m2plversion}.jar \
   $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-maven2-plugin-%{m2plversion}.jar
%endif

# create unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{m2plversion}.jar; do ln -sf ${jar} ${jar/-%{m2plversion}/}; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{resversion}.jar; do ln -sf ${jar} ${jar/-%{resversion}/}; done)
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}.jar; do ln -sf ${jar} ${jar/-%{version}/}; done)

%if %{with_maven}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven/plugins
install -m 644 extensions/maven/target/%{name}-maven-plugin-%{version}.jar \
 $RPM_BUILD_ROOT%{_datadir}/maven/plugins/maven-%{name}-plugin-%{version}.jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/maven-plugins
pushd $RPM_BUILD_ROOT%{_javadir}/maven-plugins
ln -sf %{_datadir}/maven/plugins/maven-%{name}-plugin-%{version}.jar \
        maven-%{name}-plugin.jar
popd
%endif

# poms 

%if %{with_maven}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 core/api/container/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-core-api-container.pom
install -m 644 core/api/generic/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-core-api-generic.pom
install -m 644 core/api/module/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-core-api-module.pom
install -m 644 core/api/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-core-api.pom
install -m 644 core/api/util/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-core-api-util.pom
install -m 644 core/containers/geronimo/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-core-containers-geronimo.pom
install -m 644 core/containers/jboss/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-core-containers-jboss.pom
install -m 644 core/containers/jetty/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-core-containers-jetty.pom
install -m 644 core/containers/jo/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-core-containers-jo.pom
install -m 644 core/containers/orion/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-core-containers-orion.pom
install -m 644 core/containers/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-core-containers.pom
install -m 644 core/containers/resin/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-core-containers-resin.pom
install -m 644 core/containers/tomcat/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-core-containers-tomcat.pom
install -m 644 core/containers/weblogic/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-core-containers-weblogic.pom
install -m 644 core/documentation/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-core-documentation.pom
install -m 644 core/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-core.pom
install -m 644 core/samples/java/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-core-samples-java.pom
install -m 644 core/samples/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-core-samples.pom
install -m 644 core/uberjar/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-core-uberjar.pom
install -m 644 extensions/ant/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-ant.pom
install -m 644 extensions/maven2/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-maven2-plugin.pom
install -m 644 extensions/maven/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-maven-plugin.pom
install -m 644 extensions/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-extensions.pom
install -m 644 pom/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-parent.pom
install -m 644 pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-trunks.pom
install -m 644 resources/build-tools/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-build-tools.pom
install -m 644 resources/pom.xml \
   $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.cargo-cargo-resources.pom

%endif

# depmap frags
%add_to_maven_depmap org.codehaus.cargo cargo-core-api-container %{version} JPP/cargo cargo-core-api-container
%add_to_maven_depmap org.codehaus.cargo cargo-core-api-generic %{version} JPP/cargo cargo-core-api-generic
%add_to_maven_depmap org.codehaus.cargo cargo-core-api-module %{version} JPP/cargo cargo-core-api-module
%add_to_maven_depmap org.codehaus.cargo cargo-core-api %{version} JPP/cargo cargo-core-api
%add_to_maven_depmap org.codehaus.cargo cargo-core-api-util %{version} JPP/cargo cargo-core-api-util
%add_to_maven_depmap org.codehaus.cargo cargo-core-containers-geronimo %{version} JPP/cargo cargo-core-containers-geronimo
%add_to_maven_depmap org.codehaus.cargo cargo-core-containers-jboss %{version} JPP/cargo cargo-core-containers-jboss
%add_to_maven_depmap org.codehaus.cargo cargo-core-containers-jetty %{version} JPP/cargo cargo-core-containers-jetty
%add_to_maven_depmap org.codehaus.cargo cargo-core-containers-jo %{version} JPP/cargo cargo-core-containers-jo
%add_to_maven_depmap org.codehaus.cargo cargo-core-containers-orion %{version} JPP/cargo cargo-core-containers-orion
%add_to_maven_depmap org.codehaus.cargo cargo-core-containers %{version} JPP/cargo cargo-core-containers
%add_to_maven_depmap org.codehaus.cargo cargo-core-containers-resin %{version} JPP/cargo cargo-core-containers-resin
%add_to_maven_depmap org.codehaus.cargo cargo-core-containers-tomcat %{version} JPP/cargo cargo-core-containers-tomcat
%add_to_maven_depmap org.codehaus.cargo cargo-core-containers-weblogic %{version} JPP/cargo cargo-core-containers-weblogic
%add_to_maven_depmap org.codehaus.cargo cargo-core-documentation %{version} JPP/cargo cargo-core-documentation
%add_to_maven_depmap org.codehaus.cargo cargo-core %{version} JPP/cargo cargo-core
%add_to_maven_depmap org.codehaus.cargo cargo-core-samples-java %{version} JPP/cargo cargo-core-samples-java
%add_to_maven_depmap org.codehaus.cargo cargo-core-samples %{version} JPP/cargo cargo-core-samples
%add_to_maven_depmap org.codehaus.cargo cargo-core-uberjar %{version} JPP/cargo cargo-core-uberjar
%add_to_maven_depmap org.codehaus.cargo cargo-ant %{version} JPP/cargo cargo-ant
%add_to_maven_depmap org.codehaus.cargo cargo-maven2-plugin %{m2plversion} JPP/cargo cargo-maven2-plugin
%add_to_maven_depmap org.codehaus.cargo cargo-maven-plugin %{version} JPP/cargo cargo-maven-plugin
%add_to_maven_depmap org.codehaus.cargo cargo-extensions %{version} JPP/cargo cargo-extensions
%add_to_maven_depmap org.codehaus.cargo cargo-parent %{version} JPP/cargo cargo-parent
%add_to_maven_depmap org.codehaus.cargo cargo-trunks %{version} JPP/cargo cargo-trunks
%add_to_maven_depmap org.codehaus.cargo cargo-build-tools %{resversion} JPP/cargo cargo-build-tools
%add_to_maven_depmap org.codehaus.cargo cargo-resources %{resversion} JPP/cargo cargo-resources

#javadocs

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/api
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/api/container
cp -pr core/api/container/target/site/apidocs/* \
   $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/api/container
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/api/generic
cp -pr core/api/generic/target/site/apidocs/* \
   $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/api/generic
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/api/module
cp -pr core/api/module/target/site/apidocs/* \
   $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/api/module
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/api/util
cp -pr core/api/util/target/site/apidocs/* \
   $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/api/util
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/containers/geronimo
cp -pr core/containers/geronimo/target/site/apidocs/* \
   $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/containers/geronimo
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/containers/jboss
cp -pr core/containers/jboss/target/site/apidocs/* \
   $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/containers/jboss
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/containers/jetty
cp -pr core/containers/jetty/target/site/apidocs/* \
   $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/containers/jetty
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/containers/jo
cp -pr core/containers/jo/target/site/apidocs/* \
   $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/containers/jo
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/containers/orion
cp -pr core/containers/orion/target/site/apidocs/* \
   $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/containers/orion
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/containers/resin
cp -pr core/containers/resin/target/site/apidocs/* \
   $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/containers/resin
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/containers/tomcat
cp -pr core/containers/tomcat/target/site/apidocs/* \
   $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/containers/tomcat
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/containers/weblogic
cp -pr core/containers/weblogic/target/site/apidocs/* \
   $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/containers/weblogic
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/documentation
cp -pr core/documentation/target/site/apidocs/* \
   $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/documentation
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/samples
cp -pr core/samples/java/target/site/apidocs/* \
   $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/core/samples
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/extensions/ant
cp -pr extensions/ant/target/site/apidocs/* \
   $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/extensions/ant
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/extensions/maven2
%if %{with_maven}
cp -pr extensions/maven2/target/site/apidocs/* \
   $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/extensions/maven2
%endif

ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp %{SOURCE7} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/LICENSE

%if %{gcj_support}
export CLASSPATH=$(build-classpath gnu-crypto)
%{_bindir}/aot-compile-rpm
%endif

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files 
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/%{name}-core*.jar
%{_javadir}/%{name}/%{name}-documentation*.jar
%{_javadir}/%{name}/%{name}-sample-java*.jar
%{_javadir}/%{name}/%{name}-ant*.jar
%{_javadir}/%{name}/%{name}-build-tools*.jar
%if %{with_maven}
%{_datadir}/maven2/poms/*
%endif
%{_mavendepmapfragdir}
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-*.jar.*
%endif

%if %{with_maven}
%files maven-plugin
%{_datadir}/maven/plugins/maven-%{name}-plugin*.jar
%{_javadir}/maven-plugins/maven-%{name}-plugin.jar

%files maven2-plugin
%{_javadir}/%{name}/%{name}-maven2-plugin*.jar
%endif

%files javadoc
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%changelog
* Sat Nov 24 2007 Igor Vlasenko <viy@altlinux.ru> 0:0.9-alt1_1jpp1.7
- converted from JPackage by jppimport script

